import { check, sleep } from "k6"
import exec from "k6/execution"
import { SharedArray } from "k6/data"
import http from "k6/http"


export const options = {
        scenarios:{},
        teardownTimeout: "120s",
        setupTimeout: "120s"
}

let scenarios = {
        base:{
                executor: "per-vu-iterations",
                vus: 1,
                iterations: 1,
                maxDuration: "5m"
        }
}

let ENV = {};
if(__ENV.scenario){
        options.scenarios[__ENV.scenario] = scenarios[__ENV.scenario];
        ENV = options.scenarios[__ENV.scenario].env;
}else{
        options.scenarios = scenarios;
}

export function setup(){
        let baseData = {};


}

export default function(baseData){

}

export function teardown(baseData){

}

function log(msg){
        if(__ENV.debug == "true"){
                console.log(msg);
        }
}
